Bug 217570 - /etc/init.d/xendomains not compatible with /lib/lsb/init-functions
/etc/init.d/xendomains not compatible with /lib/lsb/init-functions
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Brian Brock
: 218834 (view as bug list)
Depends On: 217566
  Show dependency treegraph
Reported: 2006-11-28 13:19 EST by Bryn M. Reeves
Modified: 2008-01-28 10:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-04 12:26:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryn M. Reeves 2006-11-28 13:19:33 EST
Description of problem:
This is the RHEL5 version of bug 171056

The /etc/init.d/xendomains script is not compatible with how 
/lib/lsb/init-functions is constructed. That file is currently set up to use
shell aliasing to define the LSB init functions, and aliasing is quite fragile
under sh.  In particular, it seems not to be possible to define a shell function
in terms of an aliased command.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run /etc/init.d/xendomains {start,stop,status}
Actual results:
Errors are output relating to the LSB initscript logging functions:

# /etc/init.d/xendomains status
Checking for xendomains:/etc/init.d/xendomains: line 69: log_failure_msg:
command not found

Expected results:
xendomains reports status or starts/stops the xen domains as appropriate.

Additional info:
This can either be fixed in the redhat-lsb package by replacing the alias
definitions with functions, or worked around in the xendomains script using the
patches referenced in bug 171056.

Bug 217566 was filed against redhat-lsb and contains a fix for the
/lib/lsb/init-functions script.
Comment 1 RHEL Product and Program Management 2006-11-28 13:30:25 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 2 Bryn M. Reeves 2006-11-29 09:43:48 EST
Looks like the underlying LSB bug is getting fixed now - I'll test the current
xendomains script with the new redhat-lsb build & close this one out if all goes
Comment 3 Bryn M. Reeves 2006-11-29 09:54:33 EST
Confirmed that the stock xendomains script in xen-3.0.3-8.el5 now works with the
updated redhat-lsb (3.1-12.1)
Comment 4 Rik van Riel 2006-12-04 12:18:23 EST
Bryn, does that mean this bug against xen can be closed?
Comment 5 Bryn M. Reeves 2006-12-04 12:26:13 EST

Yes - xendomains is working fine for me with the updated redhat-lsb package.
Comment 6 Hugh Brock 2006-12-11 09:38:27 EST
*** Bug 218834 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.